%ifos darwin
%define __installdata	cp -pPR
%define __defattr	%defattr(-,root,wheel)
%else
%define __installdata	install -m 644
%define __defattr	%defattr(-,root,root)
%endif

Summary: Psfig package
Name: psfig
Version: 1.10
Release: 12%{?dist}1a
# $CTAN/macros/latex/contrib/supported/psfrag
Source: psfig.sty
License: Copyright 1993 Trevor J. Darrell
Group: Applications/Publishing/TeX
BuildRoot: %{_tmppath}/%{name}
Packager: Keisuke Fujii <keisuke.fujii@kek.jp>
BuildArchitectures: noarch

%description
A system for LaTeX to integrate LaTeX equations with 
Encapsulated PostScript figures.
Requires: pLaTeX2e

%prep
TEXMF=${RPM_BUILD_ROOT}%{_prefix}/share/texmf

%build

%install
rm -rf $RPM_BUILD_ROOT
TEXMF=${RPM_BUILD_ROOT}%{_prefix}/share/texmf
mkdir -p ${TEXMF}/tex/generic/misc
%{__installdata} ${RPM_SOURCE_DIR}/%{name}.sty ${TEXMF}/tex/generic/misc/


%post -p %{_prefix}/bin/mktexlsr

%postun -p %{_prefix}/bin/mktexlsr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{__defattr}
%{_prefix}/share/texmf/tex/generic/misc/%{name}.sty


%changelog 
* Sun Feb 27 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 1.10-12hepx1a
- 1st build on MacOS 12.
- built with OSXWS 12beta.

* Tue Jan 28 2020 Keisuke Fujii <keisuke.fujii@kek.jp> 1.10-10.15hepx1a
- 1st build on MacOS X 10.15.
- built with OSXWS 10.15.

* Thu Dec 19 2019 Keisuke Fujii <keisuke.fujii@kek.jp> 1.10-10.14hepx1b
- 2nd build on MacOS X 10.14.
- built with OSXWS 10.14.

* Tue Apr 03 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 1.10-10.13hepx1a
- 1st build on MacOS X 10.13.
- built with OSXWS 10.13.

* Mon Dec 26 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 1.10-10.12hepx1b
- 2nd build on MacOS X 10.12.
- built with OSXWS 10.12.

* Sun Dec 18 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 1.10-10.12hepx1a
- 1st build on MacOS X 10.12.
- built with OSXWS 10.11.

* Mon Feb 08 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 1.10-10.11hepx1a
- 1st build on MacOS X 10.11.

* Wed Dec 24 2014 Keisuke Fujii <keisuke.fujii@kek.jp> 1.10-10.10hepx1a
- 1st build on MacOS X 10.10.

* Thu Aug 07 2014 Keisuke Fujii <keisuke.fujii@kek.jp> 1.10-10.9hepx1b
- 2nd build on MacOS X 10.9.

* Fri Nov 29 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 1.10-10.9hepx1a
- 1st build on MacOS X 10.9.

* Wed May 02 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 1.10-10.7hepx1a
- 1st build on MacOS X 10.7.

* Mon Mar 08 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 1.10-10.6hepx1a
- 1st build on MacOS X 10.6.

* Thu Mar 20 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 1.10-10.5hepx1a
- 1st build on MacOS X 10.5.

* Wed Oct 12 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 1.10-1a
- 1st build on MacOS X 10.4.

